;                        Configure the MPE system disc.
;
;
; This include file configures the MPE system disc parameters.  It is invoked
; by the various MPE command files, as follows:
;
;    do configure-disc.inc <disc-model>
;
; ...where <disc-model> is one of the disc drive models supported by MPE V/R.
; These are:
;
;    Driver    Type  Subtype  Model
;    --------  ----  -------  ----------------------------------
;    IOMDISC1   0       4     7905 disc drive, removable platter
;    IOMDISC1   0       5     7905 disc drive, fixed platter
;    IOMDISC1   0       6     7905 disc drive, both platters
;    IOMDISC1   0       7     7905 disc drive, system disc mode
;    IOMDISC1   0       8     7920 disc drive
;    IOMDISC1   0       9     7925 disc drive
;
;    HIOMDSC2   3       1     7911 disc drive
;    HIOMDSC2   3       2     7912 disc drive
;    HIOMDSC2   3       8     7933/7935 disc drive
;
; If the parameter is omitted, the 7920 disc model is used.  This file is never
; invoked directly by the user.


; Verify that a correct disc type was supplied.

if "%1" == "" set env MODEL=7920
if "%1" != "" set env MODEL=%1

if "%MODEL%" in "7905","7920","7925" set env "DEV=DS","DRT=4", "DRIVER=IOMDISC1","TYPE=0" ; goto %MODEL%

set IMBA ENABLED

if "%MODEL%" in "7911","7912","7933","7935" set env "DEV=DC","DRT=88","DRIVER=HIOMDSC2","TYPE=3" ; goto %MODEL%

echo
echo The %MODEL% disc is not supported by MPE V/R.  Only the 7905, 7920, and
echo 7925 MAC disc models, and the 7911, 7912, 7933, and 7935 CS/80 disc
echo models are supported.
echo

exit


:7905
set env SUBTYPE=6
return


:7920
set env SUBTYPE=8
return


:7925
set env SUBTYPE=9
return


:7911
set env SUBTYPE=1
return


:7912
set env SUBTYPE=2
return


:7933
set env SUBTYPE=8
return


:7935
set env SUBTYPE=8
return
